Skip to main content
`Ctrl`+`K`

# AOInitializePackage

This function initializes everything in the `AO` package. It is called from `PetscDLLibraryRegister_petscvec()` when using dynamic libraries, and on the first call to `AOCreate()` when using static or shared libraries.

## Synopsis

    #include "petscao.h"
    PetscErrorCode AOInitializePackage(void)

## See Also

`AOFinalizePackage()`, `PetscInitialize()`

## Level

developer

## Location

src/vec/is/ao/interface/aoreg.c

Index of all AO routines
Table of Contents for all manual pages
Index of all manual pages